NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Types | Public Member Functions | List of all members
NXOpen::LineDesigner::AlignComponentsBuilder Class Reference


To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateAlignComponentsBuilder
Default values. More...

Inheritance diagram for NXOpen::LineDesigner::AlignComponentsBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ReferenceValues { ReferenceValuesAbsoluteinDisplayedPart, ReferenceValuesWcs }
 This enum is providing selection of reference to align. More...
 
enum  SelectDirectionOptionEnum { SelectDirectionOptionEnumX, SelectDirectionOptionEnumY, SelectDirectionOptionEnumZ, SelectDirectionOptionEnumUserDefinedDirection }
 This enum is providing selection of direction in to align. More...
 

Public Member Functions

NXOpen::SelectDisplayableObjectListComponentsToAlign ()
 Returns the components to align
Created in NX12.0.1. More...
 
NXOpen::SelectDisplayableObjectComponentToAlignTo ()
 Returns the component to align to
Created in NX12.0.1. More...
 
NXOpen::LineDesigner::AlignComponentsBuilder::ReferenceValues Reference ()
 Returns the reference
Created in NX12.0.1. More...
 
NXOpen::LineDesigner::AlignComponentsBuilder::SelectDirectionOptionEnum SelectDirectionOption ()
 Returns the component origin direction
Created in NX12.0.1. More...
 
void SetReference (NXOpen::LineDesigner::AlignComponentsBuilder::ReferenceValues reference)
 Sets the reference
Created in NX12.0.1. More...
 
void SetSelectDirectionOption (NXOpen::LineDesigner::AlignComponentsBuilder::SelectDirectionOptionEnum selectDirectionOption)
 Sets the component origin direction
Created in NX12.0.1. More...
 
void SetSpecifyDirection (NXOpen::Direction *specifyDirection)
 Sets the specify direction
Created in NX12.0.1. More...
 
NXOpen::DirectionSpecifyDirection ()
 Returns the specify direction
Created in NX12.0.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateAlignComponentsBuilder
Default values.

Property Value

Reference

AbsoluteinDisplayedPart

SelectDirectionOption

X


Created in NX12.0.1.

Member Enumeration Documentation

This enum is providing selection of reference to align.

Enumerator
ReferenceValuesAbsoluteinDisplayedPart 

absolutein displayed part

ReferenceValuesWcs 

wcs

This enum is providing selection of direction in to align.

Enumerator
SelectDirectionOptionEnumX 

x

SelectDirectionOptionEnumY 

y

SelectDirectionOptionEnumZ 

z

SelectDirectionOptionEnumUserDefinedDirection 

user defined direction

Member Function Documentation

NXOpen::SelectDisplayableObjectList* NXOpen::LineDesigner::AlignComponentsBuilder::ComponentsToAlign ( )

Returns the components to align
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::SelectDisplayableObject* NXOpen::LineDesigner::AlignComponentsBuilder::ComponentToAlignTo ( )

Returns the component to align to
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::LineDesigner::AlignComponentsBuilder::ReferenceValues NXOpen::LineDesigner::AlignComponentsBuilder::Reference ( )

Returns the reference
Created in NX12.0.1.



License requirements : None

NXOpen::LineDesigner::AlignComponentsBuilder::SelectDirectionOptionEnum NXOpen::LineDesigner::AlignComponentsBuilder::SelectDirectionOption ( )

Returns the component origin direction
Created in NX12.0.1.



License requirements : None

void NXOpen::LineDesigner::AlignComponentsBuilder::SetReference ( NXOpen::LineDesigner::AlignComponentsBuilder::ReferenceValues  reference)

Sets the reference
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
referencereference
void NXOpen::LineDesigner::AlignComponentsBuilder::SetSelectDirectionOption ( NXOpen::LineDesigner::AlignComponentsBuilder::SelectDirectionOptionEnum  selectDirectionOption)

Sets the component origin direction
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
selectDirectionOptionselectdirectionoption
void NXOpen::LineDesigner::AlignComponentsBuilder::SetSpecifyDirection ( NXOpen::Direction specifyDirection)

Sets the specify direction
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
specifyDirectionspecifydirection
NXOpen::Direction* NXOpen::LineDesigner::AlignComponentsBuilder::SpecifyDirection ( )

Returns the specify direction
Created in NX12.0.1.



License requirements : ld_line_designer ("FULL LINE DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.